Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::CellRendererPixbuf Class Reference

A GtkCellRendererPixbuf C++ wrapper class. More...

`#include <xfc/gtk/cellrendererpixbuf.hh>`

Inheritance diagram for Xfc::Gtk::CellRendererPixbuf:

List of all members.

## Property Prototypess

- const PixbufPropertyType pixbuf_property
    The pixbuf to render (see property_pixbuf()).
- const PixbufExpanderOpenPropertyType pixbuf_expander_open_property
    Pixbuf for open expander (see property_pixbuf_expander_open()).
- const PixbufExpanderClosedPropertyType pixbuf_expander_closed_property
    Pixbuf for closed expander (see property_pixbuf_expander_closed()).
- const StockIdPropertyType stock_id_property
    The stock ID of the stock icon to render (see property_stock_id()).
- const StockSizePropertyType stock_size_property
    The size of the rendered icon (see property_stock_size()).
- const StockDetailPropertyType stock_detail_property
    The render detail to pass to the theme engine (see property_stock_detail()).

## Public Member Functions

Constructors

- CellRendererPixbuf ()
    Construct a new CellRendererPixbuf.
- virtual ~CellRendererPixbuf ()
    Destructor.

Accessors

- GtkCellRendererPixbuf * gtk_cell_renderer_pixbuf () const
    Get a pointer to the GtkCellRendererPixbuf structure.
- operator GtkCellRendererPixbuf * () const
    Conversion operator; safely converts a CellRendererPixbuf to a GtkCellRendererPixbuf pointer.

Property Proxies

- const PixbufPropertyProxy property_pixbuf ()
    The pixbuf to render (Gdk::Pixbuf* : Read / Write).
- const PixbufExpanderOpenPropertyProxy property_pixbuf_expander_open ()
    Pixbuf for open expander (Gdk::Pixbuf* : Read / Write).
- const PixbufExpanderClosedPropertyProxy property_pixbuf_expander_closed ()
    Pixbuf for closed expander (Gdk::Pixbuf* : Read / Write).
- const StockIdPropertyProxy property_stock_id ()
    The stock ID of the stock icon to render (String : Read / Write).
- const StockSizePropertyProxy property_stock_size ()
    The size of the rendered icon (IconSize : Read / Write).
- const StockDetailPropertyProxy property_stock_detail ()
    The render detail to pass to the theme engine (String : Read / Write).

## Protected Member Functions

Constructors

- CellRendererPixbuf (GtkCellRendererPixbuf *cell, bool owns_reference=false)
    Construct a new CellRendererPixbuf from an existing GtkCellRendererPixbuf.

## Detailed Description

A GtkCellRendererPixbuf C++ wrapper class.

CellRendererPixbuf is an object that renders a pixbuf in a cell.

## Constructor & Destructor Documentation

Xfc::Gtk::CellRendererPixbuf::CellRendererPixbuf | ( | GtkCellRendererPixbuf * | cell,
|  | bool | owns_reference = `false`
| ) | `[explicit, protected]`

Construct a new CellRendererPixbuf from an existing GtkCellRendererPixbuf.

Parameters:

  | cell | A pointer to a GtkCellRendererPixbuf.
  | owns_reference | Set false if the initial reference count is floating, set true if it's not.

The cell can be a newly created GtkCellRendererPixbuf or an existing GtkCellRendererPixbuf. (see G::Object::Object).

Xfc::Gtk::CellRendererPixbuf::CellRendererPixbuf | ( |  | ) |

| Construct a new CellRendererPixbuf. Adjust rendering parameters using object properties. Also, with TreeViewColumn, you can bind a property to a value in a TreeModel. For example, you can bind the "pixbuf" property on the cell renderer to a pixbuf value in the model, thus rendering a different image in each row of the TreeView.

The documentation for this class was generated from the following file:

- cellrendererpixbuf.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3